## Patch Bucket `client.r2.buckets.edit(stringbucketName, BucketEditParamsparams, RequestOptionsoptions?): Bucket` **patch** `/accounts/{account_id}/r2/buckets/{bucket_name}` Updates properties of an existing R2 bucket. ### Parameters - `bucketName: string` Name of the bucket. - `params: BucketEditParams` - `account_id: string` Path param: Account ID. - `storage_class: "Standard" | "InfrequentAccess"` Header param: Storage class for newly uploaded objects, unless specified otherwise. - `"Standard"` - `"InfrequentAccess"` - `jurisdiction?: "default" | "eu" | "fedramp"` Header param: Jurisdiction where objects in this bucket are guaranteed to be stored. - `"default"` - `"eu"` - `"fedramp"` ### Returns - `Bucket` A single R2 bucket. - `creation_date?: string` Creation timestamp. - `jurisdiction?: "default" | "eu" | "fedramp"` Jurisdiction where objects in this bucket are guaranteed to be stored. - `"default"` - `"eu"` - `"fedramp"` - `location?: "apac" | "eeur" | "enam" | 3 more` Location of the bucket. - `"apac"` - `"eeur"` - `"enam"` - `"weur"` - `"wnam"` - `"oc"` - `name?: string` Name of the bucket. - `storage_class?: "Standard" | "InfrequentAccess"` Storage class for newly uploaded objects, unless specified otherwise. - `"Standard"` - `"InfrequentAccess"` ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const bucket = await client.r2.buckets.edit('example-bucket', { account_id: '023e105f4ecef8ad9ca31a8372d0c353', storage_class: 'Standard', }); console.log(bucket.creation_date); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ "string" ], "result": { "creation_date": "creation_date", "jurisdiction": "default", "location": "apac", "name": "example-bucket", "storage_class": "Standard" }, "success": true } ```